INCUS-BENCHMARK(1)

NAME
incus-benchmark - Incus benchmark

DESCRIPTION

  Description:

    Benchmark performance of Incus

    This tool lets you benchmark various actions on a local Incus daemon.

    It can be used just to check how fast a given host is, to compare performance on different servers or for performance tracking when doing changes to the codebase.

    A CSV report can be produced to be consumed by graphing software.

  Usage:

    incus-benchmark [command]

EXAMPLES

    # Spawn 20 containers in batches of 4 incus-benchmark launch --count 20 --parallel 4

    # Create 50 Alpine containers in batches of 10 incus-benchmark init --count 50 --parallel 10 images:alpine/edge

    # Delete all test containers using dynamic batch size incus-benchmark delete

  Available Commands:

delete
    Delete containers

help
    Help about any command

init
    Create containers

launch
    Create and start containers

start
    Start containers

stop
    Stop containers

  Flags:

-h, --help
    Print help

-P, --parallel
    Number of threads to use (default -1)

--project string
    Project to use (default "default")

--report-file
    Path to the CSV report file

--report-label
    Label for the new entry in the report [default=ACTION]

--version
    Print version number

Use "incus-benchmark [command] --help" for more information about a command.